
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C语言提高之——C和指针总结 / 憋错料</title>

    <meta name="description" content="C语言提高之——C和指针总结 前边对学习的内容在做一些细的分析,没有从整体上汇总一下,这篇博客会对前边学习的知识做一个总体的认识. 思维导图 前边对C语言总体的学习如下图所示. 数据描述 首先是数据描述,数据是最基本的东西,所以难免会围绕数据来做一些讲解,对于数据描述有: 1.数据讲解 基本的数据类型和声明方法,随后接着讲解了声明过程中数据声明的作用范围,从三个方面来看,作用域.连接类型和存储类型. 2.表达式 为了更好的描述数据加上各种操作符形成表达式,由此其中讲解了多种操作符,还引出了关于右值和左值在表达式中的意义,同时">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">C语言提高之——C和指针总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>前边对学习的内容在做一些细的分析，没有从整体上汇总一下，这篇博客会对前边学习的知识做一个总体的认识。</p>
<h1>思维导图</h1>
<p>前边对C语言总体的学习如下图所示。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA1MjQwOTA0MDE2NTc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y21OcU1UZ3pOREU1L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h1>数据描述</h1>
<p>首先是数据描述，数据是最基本的东西，所以难免会围绕数据来做一些讲解，对于数据描述有：</p>
<h2>1、数据讲解</h2>
<p>基本的数据类型和声明方法，随后接着讲解了声明过程中数据声明的作用范围，从三个方面来看，作用域、连接类型和存储类型。</p>
<h2>2、表达式</h2>
<p>为了更好的描述数据加上各种操作符形成表达式，由此其中讲解了多种操作符，还引出了关于右&#20540;和左&#20540;在表达式中的意义，同时讲解了表达式的求&#20540;的规则方法。</p>
<h2>3、数组</h2>
<p>数组是一种有效存储数据的结构。分为一维的和多维的结构，其实都是以一维方式理解，同时讲解了有关指针数组的相应用法。</p>
<h2>4、字符串</h2>
<p>字符串可以理解成一种特殊数据类型，关于字符串这种数据类型的应用和存储离不开数组的结构。其中认识了有关字符串的一些应用函数；同时学习了一些有关字符串的操作方法。</p>
<h1>5、结构</h1>
<p>结构也可以理解成一种特殊的数据类型，只是这种数据类型可以有自己的一些元素。其中的元素可以是一些其他的数据类型和结构等。由结构和指针一同运用可以形成一些基本的数据结构。结构换可以作为函数的参数进行传递引用。其中还讲解了两种和结构有相&#20284;结构的位段和联合的使用方法。</p>
<h1>指针</h1>
<p>如果考虑有关数据在内存中的存储方式和访问过程就可以引入指针的概念。指针是一个很活跃的东西，它也是C语言如此灵活的关键，利用指针可以很容易的使我们访问内存的某个位置。学习了一些指针的分类和访问方式，也学习了有关指针的操作知识。</p>
<h1>基本数据结构</h1>
<p>利用上述的结构和指针可以构成基本的一些数据结构，其中书中引入了有关链表、堆栈和树的结构运用知识。</p>
<p>上边主要是针对一些基本的数据和数据的存错和访问来看的，为了更好的组织这些操作，基本的语句结构也是必要的。</p>
<h1>语句</h1>
<p>语句中从执行过程来看有顺序、选择、循环还有一些辅助操作，对于这些执行过程有致谢选择方式的if语句，执行循环操作的while、for和switch语句等。另外还有一些其他相关语句（goto语句、空语句、表达式语句）。</p>
<h1>函数</h1>
<p>为了更加方便的控制结构和做好封装，引入函数是十分必要的一个条件，最基本的用法来看，学习了函数的声明方式，基本和可变的参数使用方法；对函数的运用上讲解了抽象数据类型和递归思想，通过这些运用上的讲解使我们更加深刻的理解函数这个东西。除了最基本的函数运用外，还学习了基本的输入/输出函数，还有一些常用的标准函数库。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 06:39:12 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>, <a href="https://www.biecuoliao.com/tag/c%e8%af%ad%e8%a8%80/" title="c语言">c语言</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="数据结构">数据结构</a>, <a href="https://www.biecuoliao.com/tag/%e6%8c%87%e9%92%88/" title="指针">指针</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>C语言提高之——C和指针总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGPN5Z0.html" rel="bookmark">C语言第12轮：指针</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C语言第12轮:指针 [学习目标] 1.        指针 2.        指针与数组 A: 指针的概念 内存存储单元按字节排序.每一个字节编有序号.我们称之为地址.因为能够通过地址就能够找到所要的内存单元,所以我们把地址成为指针.指针是个特殊的变量,它里面存储的数值被解释为内存里的一个地址 作用: (1)       指针能够有效地表示复杂数据结构,如队列.栈.链表等 (2)       指针能够像汇编一样处理内存地址,为动态内存分配提供支持 (3)       指针能够实现对数组和字符			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Y7Q1X4.html" rel="bookmark">娓娓道来c指针 &lpar;0&rpar;c语言的梦魇：c指针</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(0)c语言的梦魇:c指针 序 c语言中有一个重点:c指针.它也是一个难点.当然,这是一句废话:重点往往也是难点.在c标准中,对指针的定义是这种: 指针的类型是derived from其他类型,也就是说指针的类型是由它指向的类型决定的: 指针是一种reference类型,即引用类型: c指针似乎非常难理解,以至于有人指出:掌握了c指针,就掌握了c语言的精髓.本系列就来聊聊c指针,要想弄懂c指针.光就指针本身进行理解,还不够. 由于指针的本质就一句话:指针就是地址.这句话大多数学过c语言的人都明白			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xr1KL4.html" rel="bookmark">C语言 二维数组与指针笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天分析了C语言二维数组和指针的基本理解,感觉有点懵...代码记录一下,如果有大神临幸发现哪里有误,欢迎指正~~~ #include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; #include &lt;string.h&gt; //void func(int p[][]) //这样写等同于void func(int **p) p++移动了四个字节,(*p)++移动了四个字节,不符合二维数组规律 //{ //} //列优先输出的函数(即竖着输出) void func			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEWOqR3.html" rel="bookmark">C语言语法笔记 &ndash; 高级用法 指针数组 指针的指针 二维数组指针 结构体指针 链表 &vert; IT宅&period;com</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:C语言语法笔记 – 高级用法 指针数组 指针的指针 二维数组指针 结构体指针 链表 | IT宅.com C语言语法笔记 – 高级用法 指针数组 指针的指针 二维数组指针 结构体指针 链表 | IT宅.com C语言语法笔记 – 高级用法 指针数组 指针的指针 二维数组指针 结构体指针 链表 本文由 arthinking 发表于315 天前 ⁄ itzhai.com原创文章 ⁄ C语言 ⁄ 评论数 3 ⁄ 被围观 1,775 views+ 指针数组: 在一个数组中,如果它的元素全部都是指针类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eEZPp0.html" rel="bookmark">C语言基础学习3：指针</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.地址和指针的概念 一个变量的地址成为该变量的“指针”. 如果有一个变量专门用来存放另一变量的地址(即指针),则它称为“指针变量”,指针变量的值(即指针变量中存放的值)是地址(即指针). 指针是一个地址,而指针变量是存放地址的变量 2.变量的指针和指向变量的指针变量 2.1指针变量的定义 指针变量的定义:基类型 *指针变量名: int a; int *pointer; pointer = &amp;a; 2.2指针变量的引用 指针变量中只能存放地址,不能将一个整数赋给一个指针变量. “&amp;”和“*			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e9zaD0.html" rel="bookmark">浅谈c语言typedef 与结构体指针（个人小经验）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ #include&lt;stdio.h&gt; #include&lt;string.h&gt; typedef struct emp{ char sex[8]; char name[15]; int age; }*emp;//这里我们用typedef把emp这个结构体变成了*emp这种指向结构体成员的结构体指针 /*typedef struct emp{ char sex[8]; char name[15]; int age; }pi,*emp;//为了程序的可读性最好不要这样声明*/ int m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6eY5r4.html" rel="bookmark">C语言基础学习8：指针数组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个数组,若其元素均为指针类型数据,称为指针数组,指针数组中的每一个元素都相当于一个指针变量. 一维指针数组的定义形式为: 类型名 *数组名[数组长度]: 例如:int *p[4]; []的优先级比*高,因此p先与[4]结合,形成p[4]形式,这是数组形式,然后再与p前面的&quot;*&quot;结合,&quot;*&quot;表示此数组是指针类型的,每个数组元素都可指向一个整型变量. 为什么要用到指针数组呢? 因为它比较适合于用来指向若干个字符串,使得字符串处理更加灵活. 1 #include &lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47KwpD4.html" rel="bookmark">C语言学习&lowbar;数组与指针2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数组其实是一种变相的指针,数组名同时也是指针,eg: CODE == &amp;CODE[0]; 数组的加法: #include&lt;stdio.h&gt; #define SIZE 4 int main(void) { shortdates[SIZE]; short* pti; shortindex; doublebills[SIZE]; double* ptf; pti= dates;//把数组地址付给指针 ptf= bills; printf(&quot;%23s  %10s\n&quot;, &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OKNX83.html" rel="bookmark">C专家编程之为什么C语言把数组形参当做指针：数组&sol;指针实参</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include&lt;stdio.h&gt; void print_array_test(char ca[]) { printf(&quot;ca : %s\n&quot;,ca); printf(&quot;&amp;ca : %s\n&quot;,&amp;ca); printf(&quot;&amp;(ca[0]) : %s\n&quot;,&amp;(ca[0])); printf(&quot;&amp;(ca[1]) : %s\n&quot;,&amp;(ca[1])); printf(&qu			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBA81y4.html" rel="bookmark" class="title">php改写session到数据库</a>
					<div>
						session改写mysql 在调用 session_start();的地方改用实例化本类即可new SessionDB(); session_set_save_handler( array($thi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d9g9z3.html" rel="bookmark" class="title">Collection集合总结</a>
					<div>
						一.集合的概述 1.集合的由来 Java是面向对象的语言,而面向对象语言对事物的描述是通过对象体现的,为了方便对多个对象进行操作,我们就必须把这多个对象进行存储.而我们要想存储多个对象,就不能是一个基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BB1gM.html" rel="bookmark" class="title">计算目录树的深度-基于linq</a>
					<div>
						生成word时,有时用户要求要生成所有级别的目录. 这个时候就需要计算目录树的深度.关于求树的深度,已有很多现成的算法.本文主要介绍一种linq的写法.代码看起来挺简洁的. public static ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wEJaNM.html" rel="bookmark" class="title">disconf文件下载路径配置</a>
					<div>
						diconf.properties配置文件 disconf.enable.remote.conf=truedisconf.app=mlsdisconf.version=1.0.0disconf.ign ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vQJVZ0.html" rel="bookmark" class="title">canvas实现的红包照片自适应效果</a>
					<div>
						效果图 html结构(index.html) &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWD62L0.html" rel="bookmark" class="title">Nazo前三十三关攻略</a>
					<div>
						第一关:http://cafebabe.cc/nazo/ 点此处 第二关:http://cafebabe.cc/nazo/level2.html 后缀改为level3.html 第三关:http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV77rQ0.html" rel="bookmark" class="title">JS正则表达式验证身份证号码</a>
					<div>
						function isCardNo(card) { // 身份证号码为15位或者18位,15位时全为数字,18位前17位为数字,最后一位是校验位,可能为数字或字符X var reg = /(^\d{1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZgYB4.html" rel="bookmark" class="title">努力当下，不放过每一次提升自己的机会。</a>
					<div>
						         PHP相关     第一阶段, 关于网页(HTML),数据库(mysocl),还有php基础等知识: 第二阶段 php开发软件: 第三阶段 模板技术和框架: 第四阶段 制作项目: 首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bpEKY4.html" rel="bookmark" class="title">Linux常用文本处理小小小工具</a>
					<div>
						一.常用文本处理工具命令 cat命令:   cat [OPTION]... [FILE]...         -A, --show-all 等价于 -vET             -b, --nu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6pRXZ3.html" rel="bookmark" class="title">比较好的英文档</a>
					<div>
						http://blog.scoutapp.com/articles/2009/07/31/understanding-load-averages http://wiki.eclipse.org/Jet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nye6y3.html" rel="bookmark" class="title">R语言-坐标轴画法要旨</a>
					<div>
						在R语言中绘制坐标轴时,如何将坐标轴的刻度画在图内呢? 下面有一个完整的例子: #画图测试 aixs.test&lt;-function(){ x&lt;-rnorm(7) #print(x) y&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkgbg3.html" rel="bookmark" class="title">谭浩强 c&plus;&plus;程序设计第一章课后习题 第10题</a>
					<div>
						#include &lt;iostream&gt; using namespace std; int main() { int a,b,c; cout&lt;&lt;&quot;请输入三个整数类型的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Aal6Z4.html" rel="bookmark" class="title">scala分号推断</a>
					<div>
						scala程序里,语句末尾的分号通常是可选的.愿意可以加,若一行里仅有一个语句也可以不加. 不过,如果一行里包含多条语句时,分号必须加. 分号推断的规则 分割语句的具体规则既简单又有效.那就是,除非一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPX5ymM.html" rel="bookmark" class="title">可扩展的头文件</a>
					<div>
						1.可扩展的头文件 #ifndef __UART_H__ //这里UART可自己替换 #define __UART_H__ //这里的UART与上面保持一致 /* 头文件调用区域 */ /* 宏定义区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyNXRn0.html" rel="bookmark" class="title">类图关系</a>
					<div>
						1.类图概述 何谓类图? 它描述的是显示一组类.接口.协作以及它们之间关系的图. 类与类之间有哪些关系? 四种关系:依赖.关联[含特殊的聚合和复合(组合)].泛化(继承).实现. 2.依赖关系 依赖关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41ymdJ4.html" rel="bookmark" class="title">安装开发工具</a>
					<div>
						windows用户   安装R            https://cran.r-project.org/ 安装RStudio   https://www.rstudio.com/ 安装Rtools ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41yKnG4.html" rel="bookmark" class="title">关于hibernate的延迟加载问题</a>
					<div>
						为什么需要延迟加载? 因为会提高效率嘛,存在即合理,哈哈.一般设置延迟加载就是在对象关系映射上(在多的一方).如下图: 一个用户有多个消费纪录. 设置成lazy后,查询数据的时候只会取出消费记录(多的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/472Rd13.html" rel="bookmark" class="title">TinyFox  部署在CentOS7 中测试使用</a>
					<div>
						一:TinyFox介绍 TinyFox 是一款支持OWIN标准的WEB应用的高性能的HTTP服务器,是Jexus Web Server的&quot;姊妹篇&quot;.TinyFox本身的功能是htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49EXaW4.html" rel="bookmark" class="title">项目中常用的C&num; 扩展方法</a>
					<div>
						///我们经常使用一些匿名委托来处理一些逻辑///但是在某些情况下,有可能委托是null,要是直接执行可能会抛异常///所以提供此扩展方法,直接可以使用例如 action.Execute() 来执行  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qkjDWM.html" rel="bookmark" class="title">android 百度地图 客户端调用，及调用 &period;jar 实现下载apk</a>
					<div>
						//调起百度地图客户端 try {     intent = Intent.getIntent(&quot;intent://map/direction?origin=中关村&amp;destinat ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
